|
Menu location |
---|
EM → FHEquiv |
Workbenches |
EM |
Default shortcut |
E E |
Introduced in version |
0.17 |
See also |
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort |
Beschreibung
Das Werkzeug FHEquiv schließt zwei FHNode-Objekte kurz.
FastHenry FHEquiv
Anwendung
The FHEquiv object is based on the two existing FHNodes that it will short-circuit.
- Select two
FHNode objects
- Press the
EM FHEquiv button, or press E then E keys.
Remarks
- If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.
Eigenschaften
Skripten
See also: FreeCAD Scripting Basics.
The FHEquiv object can be used in macros and from the Python console by using the following function:
equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
- Creates a
FHEquiv
object. node1
is the first node FHNode object to short-circuit.node2
is the second node FHNode object to short-circuit.name
is the name of the object
Beispiel:
import FreeCAD, EM
fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)
fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)
Diese Seite wird abgerufen von https://wiki.freecad.org/EM_FHEquiv